gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gnome.CanvasRE Rectangle canvas item

A canvas item for drawing rectangles and squares. The parameters are defined in the parent classes including which is shared with items as well.

- Constructor
  2.24.0.0
  To be added
  To be added
- Constructor
  2.24.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.24.0.0
  The that this item belongs to.
  Creates a new rectangle
- Constructor
  2.24.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.24.0.0
  GLib.GType GType Property. a Returns the native value for .